"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
function generatorNejDependenciesAsCommonjs(dependencies) {
    return dependencies.map(function (_a) {
        var source = _a.source, name = _a.name;
        var requireIdentifier = types.identifier('require');
        if (name) {
            return types.variableDeclaration('const', [
                types.variableDeclarator(types.identifier(name), types.callExpression(requireIdentifier, [types.stringLiteral(source)]))
            ]);
        }
        return types.callExpression(requireIdentifier, [types.stringLiteral(source)]);
    });
}
exports.generatorNejDependenciesAsCommonjs = generatorNejDependenciesAsCommonjs;
