"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
function generatorNejDependencies(dependencies) {
    return dependencies.map(function (_a) {
        var source = _a.source, name = _a.name;
        var specifiers = [];
        if (name) {
            specifiers.push(types.importDefaultSpecifier(types.identifier(name)));
        }
        return types.importDeclaration(specifiers, types.stringLiteral(source));
    });
}
exports.generatorNejDependencies = generatorNejDependencies;
